#
include		/etc/openldap/schema/core.schema
include		/etc/openldap/schema/cosine.schema
include		/etc/openldap/schema/inetorgperson.schema
include		/etc/openldap/schema/openldap.schema
include		/etc/openldap/schema/nis.schema
include		/etc/openldap/schema/samba.schema
allow bind_v2

pidfile		/var/run/openldap/slapd.pid
argsfile	/var/run/openldap/slapd.args

access to dn.base="" by * read
access to *
	by self write
	by users read
	by anonymous auth


database	bdb
suffix		"dc=centos,dc=loc"
rootdn		"cn=Manager,dc=centos,dc=loc"
rootpw {SSHA}KUHRVm3/BxUwdoizF0jF9/Gdkoygizbg

directory	/var/lib/ldap

index objectClass                       eq,pres
index ou,cn,mail,surname,givenname      eq,pres,sub
index uidNumber,gidNumber,loginShell    eq,pres
index uid,memberUid                     eq,pres,sub
index nisMapName,nisMapEntry            eq,pres,sub
index sambaSID eq
index sambaPrimaryGroupSID eq
index sambaDomainName eq
index default sub

access to attrs=userPassword
        by dn="cn=Manager,dc=centos,dc=loc" write
        by anonymous auth
        by self write
        by * none


